---
apiVersion: keycloak-client.leni.tech/v1alpha1
kind: KeycloakClient
metadata:
  name: {{ .Release.Name }}
spec:
  name: Bookstack
  description: Simple platform for organising and storing information
  rootUrl:
    ingressRef:
      name: {{ .Release.Name }}
  baseUrl: /
  redirectUris:
    - /oidc/callback
  postLogoutRedirectUris:
    - /logout
  webOrigins:
    - +
  adminUrl: /settings/features
  publicClient: false
  authorizationServicesEnabled: false
  standardFlowEnabled: true
  directAccessGrantsEnabled: true
  implicitFlowEnabled: false
  serviceAccountsEnabled: false
  clientAuthenticatorType: "client-secret"
  fullScopeAllowed: false
  useRefreshTokens: true
  pkceCodeChallengeMethod: S256
  roles:
    - Admin
  protocolMappers:
    - name: client-roles
      protocol: openid-connect
      protocolMapper: oidc-usermodel-client-role-mapper
      config:
        multivalued: "true"
        claim.name: roles
        jsonType.label: String
        id.token.claim: "true"
        access.token.claim: "true"
        userinfo.token.claim: "true"
